Package org.eclipse.m2m.atl.emftvm.impl

# Class RuleImpl.MatcherCbState

java.lang.Object
org.eclipse.m2m.atl.emftvm.impl.RuleImpl.MatcherCbState

Direct Known Subclasses:
  `RuleImpl.WithMatcherCbState`, `RuleImpl.WithoutMatcherCbState`

Enclosing class:
  `RuleImpl`

protected abstract class RuleImpl.MatcherCbState extends Object
Base class for code that depends on whether the rule has a `Rule.getMatcher()` code block.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MatcherCbState()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matchFor(StackFrame frame, Object[] values)`
Matches this rule against `values`, and records a match in `ExecEnv.getMatches()` in case of a match.
`boolean`
`matchFor(StackFrame frame, Map<String,Object> valuesMap, Object[] values)`
Matches this rule against `values`, and records a match in `ExecEnv.getMatches()` in case of a match.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatcherCbState

protected MatcherCbState()

## Method Details

### matchFor

public boolean matchFor(StackFrame frame, Object[] values)
Matches this rule against `values`, and records a match in `ExecEnv.getMatches()` in case of a match.

Parameters:
  `frame` - the stack frame in which to run the matcher
  `values` - the source values to match
Returns:
  `true` iff the rule matches

### matchFor

public boolean matchFor(StackFrame frame, Map<String,Object> valuesMap, Object[] values)
Matches this rule against `values`, and records a match in `ExecEnv.getMatches()` in case of a match.

Parameters:
  `frame` - the stack frame context
  `valuesMap` - the map of all values, including super-rule elements
  `values` - the source values to match against
Returns:
  `true` iff this rule matches against `values`